using static Microsoft.Maui.Controls.Button.ButtonContentLayout;
using static Microsoft.Maui.Controls.Button;
using GMCabsDriverAssistantSolution.ViewModels;

namespace GMCabsDriverAssistantSolution.Views;

public partial class CouponsV2Page : ContentPage
{
    #region Fields
    private readonly CouponsV2ViewModel _viewModel;
    #endregion
    #region Constructor
    [Obsolete]
    public CouponsV2Page()
    {
        InitializeComponent();
        BindingContext = _viewModel = new CouponsV2ViewModel(this);
        if (Device.RuntimePlatform == Device.iOS)
        {
            BackButton.ContentLayout = new ButtonContentLayout(ImagePosition.Left, 10);
            NextButton.ContentLayout = new ButtonContentLayout(ImagePosition.Right, 10);
        }
        else if (Device.RuntimePlatform == Device.Android)
        {
            BackButton.ContentLayout = new ButtonContentLayout(ImagePosition.Left, -100);
            NextButton.ContentLayout = new ButtonContentLayout(ImagePosition.Right, -100);
        }

    }
    #endregion

    #region Methods
    protected override void OnAppearing()
    {
        base.OnAppearing();
        _viewModel.OnAppearing();
    }
    private async void OnCouponHistoryViewClicked(object sender, EventArgs e)
    {
        await Navigation.PushAsync(new CouponHistoryPage(), true);
    }
    #endregion

}